Index: /branches/libIGCM/ORCA2_LIM/IGCM00/PARAM/namelist
===================================================================
--- /branches/libIGCM/ORCA2_LIM/IGCM00/PARAM/namelist	(revision 1732)
+++ /branches/libIGCM/ORCA2_LIM/IGCM00/PARAM/namelist	(revision 1733)
@@ -142,9 +142,9 @@
 !              !   file name  ! frequency (hours) !  variable  ! time interpol. !  clim   ! 'yearly'/ ! weights  ! rotation !
 !              !              !  (if <0  months)  !    name    !    (logical)   !  (T/F)  ! 'monthly' ! filename ! pairing  !
-   sn_utau     = 'utau'       ,        24.        ,    'utau'  ,     .false.    , .false. , 'yearly'  , ''       , ''
-   sn_vtau     = 'vtau'       ,        24.        ,    'vtau'  ,     .false.    , .false. , 'yearly'  , ''       , ''
-   sn_qtot     = 'qtot'       ,        24.        ,    'qtot'  ,     .false.    , .false. , 'yearly'  , ''       , ''
-   sn_qsr      = 'qsr'        ,        24.        ,    'qsr'   ,     .false.    , .false. , 'yearly'  , ''       , ''
-   sn_emp      = 'emp'        ,        24.        ,    'emp'   ,     .false.    , .false. , 'yearly'  , ''       , ''
+   sn_utau     = 'utau'       ,        24         ,    'utau'  ,     .false.    , .false. , 'yearly'  , ''       , ''
+   sn_vtau     = 'vtau'       ,        24         ,    'vtau'  ,     .false.    , .false. , 'yearly'  , ''       , ''
+   sn_qtot     = 'qtot'       ,        24         ,    'qtot'  ,     .false.    , .false. , 'yearly'  , ''       , ''
+   sn_qsr      = 'qsr'        ,        24         ,    'qsr'   ,     .false.    , .false. , 'yearly'  , ''       , ''
+   sn_emp      = 'emp'        ,        24         ,    'emp'   ,     .false.    , .false. , 'yearly'  , ''       , ''
 !
    cn_dir      = './'      !  root directory for the location of the flux files
@@ -155,11 +155,11 @@
 !              !   file name  ! frequency (hours) !  variable  ! time interpol. !  clim   ! 'yearly'/ ! weights  ! rotation !
 !              !              !  (if <0  months)  !    name    !    (logical)   !  (T/F)  ! 'monthly' ! filename ! pairing  !
-   sn_utau     = 'taux_1m'    ,       -1.         , 'sozotaux' ,    .false.     , .true.  , 'yearly'  , ''       , ''
-   sn_vtau     = 'tauy_1m'    ,       -1.         , 'sometauy' ,    .false.     , .true.  , 'yearly'  , ''       , ''
-   sn_wndm     = 'flx'        ,       -1.         , 'socliowi' ,    .false.     , .true.  , 'yearly'  , ''       , ''
-   sn_tair     = 'flx'        ,       -1.         , 'socliot2' ,    .false.     , .true.  , 'yearly'  , ''       , ''
-   sn_humi     = 'flx'        ,       -1.         , 'socliohu' ,    .false.     , .true.  , 'yearly'  , ''       , ''
-   sn_ccov     = 'flx'        ,       -1.         , 'socliocl' ,    .false.     , .true.  , 'yearly'  , ''       , ''
-   sn_prec     = 'flx'        ,       -1.         , 'socliopl' ,    .false.     , .true.  , 'yearly'  , ''       , ''
+   sn_utau     = 'taux_1m'    ,       -1          , 'sozotaux' ,    .true.      , .true.  , 'yearly'  , ''       , ''
+   sn_vtau     = 'tauy_1m'    ,       -1          , 'sometauy' ,    .true.      , .true.  , 'yearly'  , ''       , ''
+   sn_wndm     = 'flx'        ,       -1          , 'socliowi' ,    .true.      , .true.  , 'yearly'  , ''       , ''
+   sn_tair     = 'flx'        ,       -1          , 'socliot2' ,    .true.      , .true.  , 'yearly'  , ''       , ''
+   sn_humi     = 'flx'        ,       -1          , 'socliohu' ,    .true.      , .true.  , 'yearly'  , ''       , ''
+   sn_ccov     = 'flx'        ,       -1          , 'socliocl' ,    .false.     , .true.  , 'yearly'  , ''       , ''
+   sn_prec     = 'flx'        ,       -1          , 'socliopl' ,    .false.     , .true.  , 'yearly'  , ''       , ''
 !
    cn_dir      = './'      !  root directory for the location of the bulk files are
@@ -170,13 +170,13 @@
 !              !   file name    ! frequency (hours) ! variable   ! time interpol. !  clim    ! 'yearly'/ !       weights     ! rotation !
 !              !                !  (if <0  months)  !   name     !    (logical)   !  (T/F)   ! 'monthly' !       filename    ! pairing  !
-   sn_wndi     = 'u10_core'     ,        6.         , 'u10'      ,    .true.      , .false.  , 'yearly'  ,          ''       ,   ''
-   sn_wndj     = 'v10_core'     ,        6.         , 'v10'      ,    .true.      , .false.  , 'yearly'  ,          ''       ,   ''
-   sn_qsr      = 'qsw_core'     ,       24.         , 'radsw'    ,    .true.      , .false.  , 'yearly'  ,          ''       ,   ''
-   sn_qlw      = 'qlw_core'     ,       24.         , 'radlw'    ,    .true.      , .false.  , 'yearly'  ,          ''       ,   ''
-   sn_tair     = 't2_core'      ,        6.         , 't2'       ,    .true.      , .false.  , 'yearly'  ,          ''       ,   ''
-   sn_humi     = 'q2_core'      ,        6.         , 'q2'       ,    .true.      , .false.  , 'yearly'  ,          ''       ,   ''
-   sn_prec     = 'precip_core'  ,       -1.         , 'precip'   ,    .true.      , .false.  , 'yearly'  ,          ''       ,   ''
-   sn_snow     = 'snow_core'    ,       -1.         , 'snow'     ,    .true.      , .false.  , 'yearly'  ,          ''       ,   ''
-   sn_tdif     = 'taudif_core'  ,       24.         , 'taudif'   ,    .true.      , .false.  , 'yearly'  ,          ''       ,   ''
+   sn_wndi     = 'u10_core'     ,        6          , 'u10'      ,    .true.      , .false.  , 'yearly'  ,          ''       ,   ''
+   sn_wndj     = 'v10_core'     ,        6          , 'v10'      ,    .true.      , .false.  , 'yearly'  ,          ''       ,   ''
+   sn_qsr      = 'qsw_core'     ,       24          , 'radsw'    ,    .true.      , .false.  , 'yearly'  ,          ''       ,   ''
+   sn_qlw      = 'qlw_core'     ,       24          , 'radlw'    ,    .true.      , .false.  , 'yearly'  ,          ''       ,   ''
+   sn_tair     = 't2_core'      ,        6          , 't2'       ,    .true.      , .false.  , 'yearly'  ,          ''       ,   ''
+   sn_humi     = 'q2_core'      ,        6          , 'q2'       ,    .true.      , .false.  , 'yearly'  ,          ''       ,   ''
+   sn_prec     = 'precip_core'  ,       -1          , 'precip'   ,    .true.      , .false.  , 'yearly'  ,          ''       ,   ''
+   sn_snow     = 'snow_core'    ,       -1          , 'snow'     ,    .true.      , .false.  , 'yearly'  ,          ''       ,   ''
+   sn_tdif     = 'taudif_core'  ,       24          , 'taudif'   ,    .true.      , .false.  , 'yearly'  ,          ''       ,   ''
 !
    cn_dir      = './'      !  root directory for the location of the bulk files
@@ -221,5 +221,5 @@
 !              !   file name  ! frequency (hours) ! variable   ! time interpol. !  clim   ! 'yearly'/ ! weights  ! rotation !
 !              !              !  (if <0  months)  !   name     !    (logical)   !  (T/F)  ! 'monthly' ! filename ! pairing  !
-   sn_chl      = 'chlorophyll',        -1.        , 'CHLA'     ,    .true.      , .true.  , 'yearly'  , ''       , ''
+   sn_chl      = 'chlorophyll',        -1         , 'CHLA'     ,    .true.      , .true.  , 'yearly'  , ''       , ''
  
    cn_dir      = './'      !  root directory for the location of the runoff files
@@ -239,6 +239,6 @@
 !              !   file name  ! frequency (hours) ! variable   ! time interpol. !  clim   ! 'yearly'/ ! weights  ! rotation !
 !              !              !  (if <0  months)  !   name     !    (logical)   !  (T/F)  ! 'monthly' ! filename ! pairing  !
-   sn_rnf      = 'runoff_1m_nomask' ,  -1.        , 'sorunoff' ,    .true.      , .true.  , 'yearly'  , ''       , ''
-   sn_cnf      = 'runoff_1m_nomask' ,   0.        , 'socoefr'  ,    .false.     , .true.  , 'yearly'  , ''       , ''
+   sn_rnf      = 'runoff_1m_nomask' ,  -1         , 'sorunoff' ,    .true.      , .true.  , 'yearly'  , ''       , ''
+   sn_cnf      = 'runoff_1m_nomask' ,   0         , 'socoefr'  ,    .false.     , .true.  , 'yearly'  , ''       , ''
  
    cn_dir       = './'      !  root directory for the location of the runoff files
@@ -254,6 +254,6 @@
 !              !   file name  ! frequency (hours) ! variable   ! time interpol. !  clim   ! 'yearly'/ ! weights  ! rotation !
 !              !              !  (if <0  months)  !   name     !    (logical)   !  (T/F)  ! 'monthly' ! filename ! pairing  !
-   sn_sst      = 'sst_data'   ,        24.        ,  'sst'     ,     .false.    , .false. , 'yearly'  , ''       , ''
-   sn_sss      = 'sss_data'   ,        -1.        ,  'sss'     ,     .true.     , .true.  , 'yearly'  , ''       , ''
+   sn_sst      = 'sst_data'   ,        24         ,  'sst'     ,     .false.    , .false. , 'yearly'  , ''       , ''
+   sn_sss      = 'sss_data'   ,        -1         ,  'sss'     ,     .true.     , .true.  , 'yearly'  , ''       , ''
     
    cn_dir      = './'      !  root directory for the location of the runoff files