Index: /trunk/CONFIG/ORCA2_LIM_PISCES/EXP00/AA_job
===================================================================
--- /trunk/CONFIG/ORCA2_LIM_PISCES/EXP00/AA_job	(revision 1750)
+++ /trunk/CONFIG/ORCA2_LIM_PISCES/EXP00/AA_job	(revision 1751)
@@ -118,5 +118,5 @@
 #- Files for the configuration and ocean dynamics
 Rapatrie ${R_TMP} ORCA2_LIM_nemo_v3.1.tar
-Rapatrie ${R_TMP} INPUTS_INIT_v3_2.tar
+Rapatrie ${R_TMP} INPUTS_INIT_v3.tar
 Rapatrie ${R_TMP} INPUTS_PISCES_v3.tar
 
Index: /trunk/CONFIG/ORCA2_LIM_PISCES/EXP00/namelist_pisces
===================================================================
--- /trunk/CONFIG/ORCA2_LIM_PISCES/EXP00/namelist_pisces	(revision 1750)
+++ /trunk/CONFIG/ORCA2_LIM_PISCES/EXP00/namelist_pisces	(revision 1751)
@@ -15,5 +15,5 @@
 &nampisext     !   air-sea exchange
 !,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
-   atcco2     = 278.    ! atmospheric pCO2
+   atcco2     = 287.    ! atmospheric pCO2
 /
 !'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
@@ -115,5 +115,5 @@
 !,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
    ln_dustfer  =  .true.   ! boolean for dust input from the atmosphere
-   ln_river    =  .true.   ! boolean for river input of nutrients
+   ln_river    =  .false.  ! boolean for river input of nutrients
    ln_ndepo    =  .true.   ! boolean for atmospheric deposition of N
    ln_sedinput =  .true.   ! boolean for Fe input from sediments
Index: /trunk/CONFIG/ORCA2_OFF_PISCES/EXP00/AA_job
===================================================================
--- /trunk/CONFIG/ORCA2_OFF_PISCES/EXP00/AA_job	(revision 1750)
+++ /trunk/CONFIG/ORCA2_OFF_PISCES/EXP00/AA_job	(revision 1751)
@@ -117,6 +117,6 @@
 
 #- Files for the configuration 
-Rapatrie ${R_TMP} INPUTS_INIT_v3_2.tar
-Rapatrie ${R_TMP} INPUTS_DYNA_v3_2.tar
+Rapatrie ${R_TMP} INPUTS_INIT_v3.tar
+Rapatrie ${R_TMP} INPUTS_DYNA_v3.tar
 Rapatrie ${R_TMP} INPUTS_PISCES_v3.tar
 
Index: /trunk/CONFIG/ORCA2_OFF_PISCES/EXP00/namelist
===================================================================
--- /trunk/CONFIG/ORCA2_OFF_PISCES/EXP00/namelist	(revision 1750)
+++ /trunk/CONFIG/ORCA2_OFF_PISCES/EXP00/namelist	(revision 1751)
@@ -24,9 +24,9 @@
                            !                  = 2 calendar parameters read in the restart file
    nit000      =       1   !  first time step
-   nitend      =     7300  !  last  time step
+   nitend      =     1460  !  last  time step
    ndate0      =  010101   !  initial calendar date yymmdd (used if nrstdt=1)
    nleapy      =       0   !  Leap year calendar (1) or not (0)
    ninist      =       0   !  output the initial state (1) or not (0)
-   nstock      =     7300  !  frequency of creation of a restart file (modulo referenced to 1)
+   nstock      =     1460  !  frequency of creation of a restart file (modulo referenced to 1)
    nwrite      =     1460  !  frequency of write in the output file   (modulo referenced to nit000)
    ln_mskland  = .false.   !  mask land points in NetCDF outputs (costly: + ~15%)
@@ -128,8 +128,8 @@
     lperdyn   = .true.     ! periodicity of the unique file (T)
 !                          ! F  (default)   computed with Blanke' scheme 
-    cfile_grid_T = 'dyna_grid_T.nc' ! name of grid_T file
-    cfile_grid_U = 'dyna_grid_U.nc' ! name of grid_U file
-    cfile_grid_V = 'dyna_grid_V.nc' ! name of grid_V file
-    cfile_grid_W = 'dyna_grid_W.nc' ! name of grid_W file
+    cfile_grid_T = 'NEMOV3_5d_20910101_20911231_grid_T.nc' ! name of grid_T file
+    cfile_grid_U = 'NEMOV3_5d_20910101_20911231_grid_U.nc' ! name of grid_U file
+    cfile_grid_V = 'NEMOV3_5d_20910101_20911231_grid_V.nc' ! name of grid_V file
+    cfile_grid_W = 'NEMOV3_5d_20910101_20911231_grid_W.nc' ! name of grid_W file
 /
 
Index: /trunk/CONFIG/ORCA2_OFF_PISCES/EXP00/namelist_pisces
===================================================================
--- /trunk/CONFIG/ORCA2_OFF_PISCES/EXP00/namelist_pisces	(revision 1750)
+++ /trunk/CONFIG/ORCA2_OFF_PISCES/EXP00/namelist_pisces	(revision 1751)
@@ -15,5 +15,5 @@
 &nampisext     !   air-sea exchange
 !,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
-   atcco2     = 278.    ! atmospheric pCO2
+   atcco2     = 287.    ! atmospheric pCO2
 /
 !'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
@@ -115,5 +115,5 @@
 !,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
    ln_dustfer  =  .true.   ! boolean for dust input from the atmosphere
-   ln_river    =  .true.   ! boolean for river input of nutrients
+   ln_river    =  .false.   ! boolean for river input of nutrients
    ln_ndepo    =  .true.   ! boolean for atmospheric deposition of N
    ln_sedinput =  .true.   ! boolean for Fe input from sediments
Index: /trunk/CONFIG/ORCA2_OFF_PISCES/EXP00/namelist_top
===================================================================
--- /trunk/CONFIG/ORCA2_OFF_PISCES/EXP00/namelist_top	(revision 1750)
+++ /trunk/CONFIG/ORCA2_OFF_PISCES/EXP00/namelist_top	(revision 1751)
@@ -13,5 +13,5 @@
    ndttrc      =  1        !  time step frequency for passive tracers      
    nwritetrc   =  1460     !  time step frequency for tracer outputs
-   ln_rsttr      = .false.   !  start from a restart file (T) or not (F)
+   ln_rsttr    = .false.   !  start from a restart file (T) or not (F)
    nrsttr      =   0       !  restart control = 0 initial time step is not compared to the restart file value
                            !                  = 1 do not use the value in the restart file