Index: /trunk/NEMO/TOP_SRC/PISCES/p4zint.F90
===================================================================
--- /trunk/NEMO/TOP_SRC/PISCES/p4zint.F90	(revision 1752)
+++ /trunk/NEMO/TOP_SRC/PISCES/p4zint.F90	(revision 1753)
@@ -13,5 +13,4 @@
    !!   p4z_int        :  interpolation and computation of various accessory fields
    !!----------------------------------------------------------------------
-   USE dom_oce         ! ocean space and time domain variables 
    USE oce_trc         !
    USE trc
Index: /trunk/NEMO/TOP_SRC/PISCES/trcsms_pisces.F90
===================================================================
--- /trunk/NEMO/TOP_SRC/PISCES/trcsms_pisces.F90	(revision 1752)
+++ /trunk/NEMO/TOP_SRC/PISCES/trcsms_pisces.F90	(revision 1753)
@@ -13,5 +13,4 @@
    !!   trcsms_pisces        :  Time loop of passive tracers sms
    !!----------------------------------------------------------------------
-   USE dom_oce         ! ocean space and time domain variables 
    USE oce_trc         !
    USE trc
Index: /trunk/NEMO/TOP_SRC/oce_trc.F90
===================================================================
--- /trunk/NEMO/TOP_SRC/oce_trc.F90	(revision 1752)
+++ /trunk/NEMO/TOP_SRC/oce_trc.F90	(revision 1753)
@@ -112,33 +112,49 @@
    USE dom_oce , ONLY :   ln_zco     =>  ln_zco      !: z-coordinate flag
    USE dom_oce , ONLY :   lk_zco     =>  lk_zco      !: z-coordinate flag (1D or 3D arrays)
-   USE dom_oce , ONLY :   hbatt     =>   hbatt       !: ocean depth at the vertical of  t-point (m)
-   USE dom_oce , ONLY :   hbatu     =>   hbatu       !: ocean depth at the vertical of  u-point (m)
-   USE dom_oce , ONLY :   hbatv     =>   hbatv       !: ocean depth at the vertical of w-point (m)
-   USE dom_oce , ONLY :   gsigt     =>   gsigt       !: model level depth coefficient at T-levels
-   USE dom_oce , ONLY :   gsigw     =>   gsigw       !: model level depth coefficient at W-levels
-   USE dom_oce , ONLY :   gsi3w     =>   gsi3w       !: model level depth coef at w-levels (defined as the sum of e3w)
-   USE dom_oce , ONLY :   esigt     =>   esigt       !: vertical scale factor coef. at t-levels
-   USE dom_oce , ONLY :   esigw     =>   esigw       !: vertical scale factor coef. at w-levels
-   USE dom_oce , ONLY :   lk_vvl    => lk_vvl  !: variable grid flag
+   USE dom_oce , ONLY :   hbatt      =>   hbatt      !: ocean depth at the vertical of  t-point (m)
+   USE dom_oce , ONLY :   hbatu      =>   hbatu      !: ocean depth at the vertical of  u-point (m)
+   USE dom_oce , ONLY :   hbatv      =>   hbatv      !: ocean depth at the vertical of w-point (m)
+   USE dom_oce , ONLY :   gsigt      =>   gsigt      !: model level depth coefficient at T-levels
+   USE dom_oce , ONLY :   gsigw      =>   gsigw      !: model level depth coefficient at W-levels
+   USE dom_oce , ONLY :   gsi3w      =>   gsi3w      !: model level depth coef at w-levels (defined as the sum of e3w)
+   USE dom_oce , ONLY :   esigt      =>   esigt      !: vertical scale factor coef. at t-levels
+   USE dom_oce , ONLY :   esigw      =>   esigw      !: vertical scale factor coef. at w-levels
+   USE dom_oce , ONLY :   lk_vvl     => lk_vvl       !: variable grid flag
 
    !* masks, bathymetry *
-   USE dom_oce , ONLY :   mbathy    =>   mbathy      !: number of ocean level (=0,  & 1, ... , jpk-1) 
-   USE dom_oce , ONLY :   tmask_i   =>   tmask_i     !: Interior mask at t-points
-   USE dom_oce , ONLY :   tmask     =>   tmask       !: land/ocean mask at t-points
-   USE dom_oce , ONLY :   umask     =>   umask       !: land/ocean mask at u-points   
-   USE dom_oce , ONLY :   vmask     =>   vmask       !: land/ocean mask at v-points 
-   USE dom_oce , ONLY :   fmask     =>   fmask       !: land/ocean mask at f-points 
+   USE dom_oce , ONLY :   mbathy     =>   mbathy     !: number of ocean level (=0,  & 1, ... , jpk-1) 
+   USE dom_oce , ONLY :   tmask_i    =>   tmask_i    !: Interior mask at t-points
+   USE dom_oce , ONLY :   tmask      =>   tmask      !: land/ocean mask at t-points
+   USE dom_oce , ONLY :   umask      =>   umask      !: land/ocean mask at u-points   
+   USE dom_oce , ONLY :   vmask      =>   vmask      !: land/ocean mask at v-points 
+   USE dom_oce , ONLY :   fmask      =>   fmask      !: land/ocean mask at f-points 
 # if defined key_off_degrad
-   USE dom_oce , ONLY :   facvol    =>   facvol      !: volume factor for degradation
+   USE dom_oce , ONLY :   facvol     =>   facvol     !: volume factor for degradation
 # endif
 
    !* time domain *
-   USE dom_oce , ONLY :   neuler    =>   neuler      !: restart euler forward option (0=Euler)
-   USE dom_oce , ONLY :   rdt       =>   rdt         !: time step for the dynamics 
-   USE dom_oce , ONLY :   atfp      =>   atfp        !: asselin time filter parameter
-   USE dom_oce , ONLY :   atfp1     =>   atfp1       !: asselin time filter coeff. (atfp1= 1-2*atfp)
-   USE dom_oce , ONLY :   rdttra    =>   rdttra      !: vertical profile of tracer time step
+   USE dom_oce , ONLY :   neuler     =>   neuler     !: restart euler forward option (0=Euler)
+   USE dom_oce , ONLY :   rdt        =>   rdt        !: time step for the dynamics 
+   USE dom_oce , ONLY :   atfp       =>   atfp       !: asselin time filter parameter
+   USE dom_oce , ONLY :   atfp1      =>   atfp1      !: asselin time filter coeff. (atfp1= 1-2*atfp)
+   USE dom_oce , ONLY :   rdttra     =>   rdttra     !: vertical profile of tracer time step
    !                                                 !: it is the accumulated duration of previous runs
    !                                                 !: that may have been run with different time steps.
+   !* calendar variables *
+   USE dom_oce , ONLY :   nyear      =>   nyear      !: current year
+   USE dom_oce , ONLY :   nmonth     =>   nmonth     !: current month
+   USE dom_oce , ONLY :   nday       =>   nday       !: current day of the month
+   USE dom_oce , ONLY :   ndastp     =>   ndastp     !: time step date in yyyymmdd format
+   USE dom_oce , ONLY :   nday_year  =>   nday_year  !: current day counted from jan 1st of the current year
+   USE dom_oce , ONLY :   nsec_year  =>   nsec_year  !: current time step counted in second since 00h jan 1st of the current year
+   USE dom_oce , ONLY :   nsec_month =>   nsec_month !: current time step counted in second since 00h 1st day of the current month
+   USE dom_oce , ONLY :   nsec_day   =>   nsec_day   !: current time step counted in second since 00h of the current day
+   USE dom_oce , ONLY :   fjulday    =>   fjulday    !: julian day
+   USE dom_oce , ONLY :   adatrj     =>   adatrj     !: number of elapsed days since the begining of the whole simulation
+                                                     !: (cumulative duration of previous runs 
+                                                     !: that may have used different time-step size)
+   USE dom_oce , ONLY :   nyear_len  =>   nyear_len  !: length in days of the previous/current year
+   USE dom_oce , ONLY :   nmonth_len =>   nmonth_len !: length in days of the months of the current year
+
 
    !* ocean fields: here now and after fields *