Index: trunk/CONFIG/ORCA2_LIM_PISCES/EXP00/iodef.xml
===================================================================
--- trunk/CONFIG/ORCA2_LIM_PISCES/EXP00/iodef.xml	(revision 1750)
+++ trunk/CONFIG/ORCA2_LIM_PISCES/EXP00/iodef.xml	(revision 1757)
@@ -1,8 +1,9 @@
 <?xml version="1.0"?>
-
 <simulation> 
   
   <context id="nemo">
     
+    <!-- $id$ -->
+
     <!-- 
 ============================================================================================================
@@ -20,8 +21,14 @@
        	<field id="soce"         description="salinity"                                  unit="psu"  axis_ref="deptht"   />
 	<field id="sst"          description="sea surface temperature"                   unit="degC"                     />
+	<field id="sst2"         description="square of sea surface temperature"         unit="degC2"                    />
+	<field id="|sstgrad|"    description="module of sst gradient"                    unit="degC/m"                   />
+	<field id="|sstgrad|2"   description="square of module of sst gradient"          unit="degC2/m2"                 />
 	<field id="sss"          description="sea surface salinity"                      unit="psu"                      />
+	<field id="sss2"         description="square of sea surface salinity"            unit="psu2"                     />
 	<field id="ssh"          description="sea surface height"                        unit="m"                        />
+	<field id="ssh2"         description="square of sea surface height"              unit="m2"                       />
 	<field id="mldkz5"       description="mixing layer depth (Turbocline)"           unit="m"                        />
 	<field id="mldr10_1"     description="Mixed Layer Depth 0.01 ref.10m"            unit="m"                        />
+       	<field id="rhop"         description="potential density (sigma0)"                unit="kg/m3" axis_ref="deptht"  />
 	<!-- next variables available with key_diahth -->
 	<field id="mlddzt"       description="Thermocline Depth (max dT/dz)"             unit="m"                        />
@@ -38,4 +45,7 @@
 	<field id="28d"          description="Depth of 28C isotherm"                     unit="m"                        />
 	<field id="hc300"        description="Heat content 300 m"                        unit="W"                        />
+	<!-- variables available with key_diaar5 -->
+	<field id="botpres"      description="Pressure at sea floor"                     unit="dbar"                     />
+	<field id="cellthc"      description="Cell thickness"                            unit="m"     axis_ref="deptht"  />
      </group>
 
@@ -52,4 +62,5 @@
 	<field id="qns"          description="non solar Downward Heat Flux"                                 unit="W/m2"     />
 	<field id="qsr"          description="Shortwave Radiation"                                          unit="W/m2"     />
+	<field id="qsr3d"        description="Shortwave Radiation 3D distribution"        axis_ref="deptht" unit="W/m2"     />
 	<field id="qrp"          description="Surface Heat Flux: Damping"                                   unit="W/m2"     />
 	<field id="erp"          description="Surface Water Flux: Damping"                                  unit="Kg/m2/s"  />
@@ -79,4 +90,5 @@
 	
 	<field id="ice_pres"     description="Ice presence"                                                 unit="-"        />
+	<field id="ist_cea"      description="Ice surface temperature (cell average)"                       unit="degC"     />
 	<field id="ist_ipa"      description="Ice surface temperature (ice presence average)"               unit="degC"     />      
 	<field id="uice_ipa"     description="Ice velocity along i-axis at I-point (ice presence average)"  unit="m/s"      />      
@@ -86,6 +98,32 @@
 	<field id="vtau_ice"     description="Wind stress along j-axis over the ice at i-point"             unit="N/m2"     />
 	
-	<!-- icealb_cea: available key_coupled -->
+	<field id="u_imasstr"    description="Sea-ice mass transport along i-axis"                          unit="kg/s"     />
+	<field id="v_imasstr"    description="Sea-ice mass transport along j-axis"                          unit="kg/s"     />
+
+	<!-- available key_coupled -->
+	<field id="snow_ao_cea"  description="Snow over ice-free ocean (cell average)"                      unit="kg/m2/s"  />
+	<field id="snow_ai_cea"  description="Snow over sea-ice (cell average)"                             unit="kg/m2/s"  />
+	<field id="subl_ai_cea"  description="Sublimation over sea-ice (cell average)"                      unit="kg/m2/s"  />
 	<field id="icealb_cea"   description="Ice albedo (cell average)"                                    unit="1"        />
+	<field id="calving"      description="Calving"                                                      unit="kg/m2/s"  />
+	<!-- available if key_coupled + conservative method -->
+	<field id="rain"         description="Liquid precipitation"                                         unit="Kg/m2/s"  />
+	<field id="evap_ao_cea"  description="Evaporation over ice-free ocean (cell average)"               unit="kg/m2/s"  />
+	<!-- variables available with key_diaar5 -->
+	<field id="isnwmlt_cea"   description="Snow over Ice melting (cell average)"                        unit="kg/m2/s"  />
+	<field id="fsal_virt_cea" description="Virtual salt flux due to ice formation (cell average)"       unit="kg/m2/s"  />
+	<field id="fsal_real_cea" description="Real salt flux due to ice formation (cell average)"          unit="kg/m2/s"  />
+	<field id="hflx_rain_cea" description="heat flux due to rainfall"                                   unit="W/m2"     />
+	<field id="hflx_evap_cea" description="heat flux due to evaporation"                                unit="W/m2"     />
+	<field id="hflx_snow_cea" description="heat flux due to snow falling over ice-free ocean"           unit="W/m2"     />
+	<field id="hflx_ice_cea"  description="heat flux due to ice thermodynamics"                         unit="W/m2"     />
+	<field id="hflx_rnf_cea"  description="heat flux due to runoffs"                                    unit="W/m2"     />
+	<field id="hflx_cal_cea"  description="heat flux due to calving"                                    unit="W/m2"     />
+	<field id="bicemel_cea"  description="Rate of Melt at Sea Ice Base (cell average)"                  unit="kg/m2/s"  />
+	<field id="licepro_cea"  description="Lateral Sea Ice Growth Rate (cell average)"                   unit="kg/m2/s"  />
+	<field id="snowmel_cea"  description="Snow Melt Rate (cell average)"                                unit="kg/m2/s"  />
+	<field id="sntoice_cea"  description="Snow-Ice Formation Rate (cell average)"                       unit="kg/m2/s"  />
+	<field id="ticemel_cea"  description="Rate of Melt at Upper Surface of Sea Ice (cell average)"      unit="kg/m2/s"  />
+
       </group>
 
@@ -93,23 +131,33 @@
       
       <group id="grid_U"  axis_ref="depthu" grid_ref="grid_U">
-	<field id="utau"        description="Wind Stress along i-axis"                  unit="N/m2" axis_ref="none" />
-	<field id="uoce"        description="ocean current along i-axis"                unit="m/s"                  />
-	<field id="uoce_eff"    description="Effective ocean current along i-axis"      unit="m/s"                  />
+	<field id="utau"         description="Wind Stress along i-axis"                    unit="N/m2" axis_ref="none" />
+	<field id="uoce"         description="ocean current along i-axis"                  unit="m/s"                  />
+	<field id="uoce_eff"     description="Effective ocean current along i-axis"        unit="m/s"                  />
 	<!-- uoce_eiv: available with key_traldf_eiv and key_diaeiv -->
-	<field id="uoce_eiv"    description="EIV ocean current along i-axis"            unit="m/s"                  />
+	<field id="uoce_eiv"     description="EIV ocean current along i-axis"              unit="m/s"                  />
 	<!-- uoce_eiv: available with key_trabbl_adv -->
-	<field id="uoce_bbl"    description="BBL ocean current along i-axis"            unit="m/s"                  />
-      </group>
+	<field id="uoce_bbl"     description="BBL ocean current along i-axis"              unit="m/s"                  />
+ 	<!-- variables available with key_diaar5 -->
+	<field id="u_masstr"     description="ocean eulerian mass transport along i-axis"  unit="kg/s"                 />
+	<field id="u_heattr"     description="ocean eulerian heat transport along i-axis"  unit="W"    axis_ref="none" />
+	<field id="ueiv_heattr"  description="ocean bolus heat transport along i-axis"     unit="W"    axis_ref="none" />
+	<field id="udiff_heattr" description="ocean diffusion heat transport along i-axis" unit="W"    axis_ref="none" />
+     </group>
       
       <!-- V grid -->
       
       <group id="grid_V"  axis_ref="depthv" grid_ref="grid_V">
-	<field id="vtau"        description="Wind Stress along j-axis"                  unit="N/m2" axis_ref="none" />
-	<field id="voce"        description="ocean current along j-axis"                unit="m/s"                  />
-	<field id="voce_eff"    description="Effective ocean current along j-axis"      unit="m/s"                  />
+	<field id="vtau"         description="Wind Stress along j-axis"                    unit="N/m2" axis_ref="none" />
+	<field id="voce"         description="ocean current along j-axis"                  unit="m/s"                  />
+	<field id="voce_eff"     description="Effective ocean current along j-axis"        unit="m/s"                  />
 	<!-- voce_eiv: available with key_traldf_eiv and key_diaeiv -->
-	<field id="voce_eiv"    description="EIV ocean current along j-axis"            unit="m/s"                  />
+	<field id="voce_eiv"     description="EIV ocean current along j-axis"              unit="m/s"                  />
 	<!-- voce_eiv: available with key_trabbl_adv -->
-	<field id="voce_bbl"    description="BBL ocean current along j-axis"            unit="m/s"                  />
+	<field id="voce_bbl"     description="BBL ocean current along j-axis"              unit="m/s"                  />
+	<!-- variables available with key_diaar5 -->
+	<field id="v_masstr"     description="ocean eulerian mass transport along j-axis"  unit="kg/s"                 />
+	<field id="v_heattr"     description="ocean eulerian heat transport along j-axis"  unit="W"    axis_ref="none" />
+	<field id="veiv_heattr"  description="ocean bolus heat transport along j-axis"     unit="W"    axis_ref="none" />
+	<field id="vdiff_heattr" description="ocean diffusion heat transport along j-axis" unit="W"    axis_ref="none" />
       </group>
       
@@ -117,23 +165,39 @@
       
       <group id="grid_W"  axis_ref="depthw" grid_ref="grid_W">
-	<field id="woce"        description="ocean vertical velocity"                   unit="m/s"                  />
-	<field id="woce_eff"    description="effective ocean vertical velocity"         unit="m/s"                  />
+	<field id="woce"         description="ocean vertical velocity"                     unit="m/s"                  />
+	<field id="woce_eff"     description="effective ocean vertical velocity"           unit="m/s"                  />
 	<!-- woce_eiv: available with key_traldf_eiv and key_diaeiv -->
-	<field id="woce_eiv"    description="EIV ocean vertical velocity"               unit="m/s"                  />
+	<field id="woce_eiv"     description="EIV ocean vertical velocity"                 unit="m/s"                  />
 	<!-- woce_eiv: available with key_trabbl_adv -->
-	<field id="woce_bbl"    description="BBL ocean vertical velocity"               unit="m/s"                  />
-	
-	<field id="avt"         description="vertical eddy diffusivity"                 unit="m2/s"                 />
-	<field id="avm"         description="vertical eddy viscosity"                   unit="m2/s"                 />
+	<field id="woce_bbl"     description="BBL ocean vertical velocity"                 unit="m/s"                  />
+	<field id="avt"          description="vertical eddy diffusivity"                   unit="m2/s"                 />
+	<field id="avm"          description="vertical eddy viscosity"                     unit="m2/s"                 />
 	<!-- avs: available with key_zdfddm -->
-	<field id="avs"         description="salt vertical eddy diffusivity"            unit="m2/s"                 />
+	<field id="avs"          description="salt vertical eddy diffusivity"              unit="m2/s"                 />
 	<!-- avt_evd and avm_evd: available with ln_zdfevd -->
-	<field id="avt_evd"     description="enhanced vertical diffusivity"             unit="m2/s"                 />
-	<field id="avm_evd"     description="enhanced vertical viscosity"               unit="m2/s"                 />
+	<field id="avt_evd"      description="enhanced vertical diffusivity"               unit="m2/s"                 />
+	<field id="avm_evd"      description="enhanced vertical viscosity"                 unit="m2/s"                 />
 	<!-- aht2d and  aht2d_eiv: available with key_traldf_eiv and key_traldf_c2d -->
-	<field id="aht2d"       description="lateral eddy diffusivity"                 unit="m2/s" axis_ref="none"  />
-	<field id="aht2d_eiv"   description="EIV lateral eddy diffusivity"             unit="m2/s" axis_ref="none"  />
+	<field id="aht2d"        description="lateral eddy diffusivity"                    unit="m2/s" axis_ref="none" />
+	<field id="aht2d_eiv"    description="EIV lateral eddy diffusivity"                unit="m2/s" axis_ref="none" />
 	<!-- avt_tide: available with key_zdftmx -->
-	<field id="av_tide"     description="tidal vertical diffusivity"               unit="m2/s"                 />
+	<field id="av_tide"      description="tidal vertical diffusivity"                  unit="m2/s"                 />
+	<!-- variables available with key_diaar5 -->   
+	<field id="w_masstr"     description="vertical mass trasport"                      unit="kg/s"                 />
+	<field id="w_masstr2"    description="square of vertical mass trasport"            unit="kg2/s2"               />
+      </group>
+          
+      <!-- scalar -->
+      
+      <!-- variables available with key_diaar5 -->
+      <group id="scalar" axis_ref="none" grid_ref="scalarpoint" zoom_ref="1point" >
+	<field id="voltot"     description="global mean volume"                         unit="m3"   />
+	<field id="sshtot"     description="global mean ssh"                            unit="m"    />
+	<field id="sshsteric"  description="global mean ssh steric"                     unit="m"    />
+	<field id="sshthster"  description="global mean ssh thermosteric"               unit="m"    />
+	<field id="masstot"    description="global mean mass"                           unit="kg"   />
+	<field id="temptot"    description="global mean temperature"                    unit="degC" />
+	<field id="saltot"     description="global mean salinity"                       unit="psu"  />
+	<field id="fram_trans" description="Sea Ice Mass Transport Through Fram Strait" unit="kg/s" />
       </group>
          
@@ -201,9 +265,4 @@
      </group>
        
-      <!-- scalar -->
-      
-      <group id="scalar" axis_ref="none" grid_ref="scalarpoint" zoom_ref="1point" >
-      </group>
-
     </field_definition>
     