Index: /trunk/CONFIG/GYRE/EXP00/iodef.xml
===================================================================
--- /trunk/CONFIG/GYRE/EXP00/iodef.xml	(revision 1771)
+++ /trunk/CONFIG/GYRE/EXP00/iodef.xml	(revision 1772)
@@ -66,5 +66,5 @@
 	<field id="erp"          description="Surface Water Flux: Damping"                                  unit="Kg/m2/s"  />
 	<field id="taum"         description="wind stress module"                                           unit="N/m2"     />
-	<field id="wspd"         description="Wind speed module at 10 m "                                   unit="m/s"      />
+	<field id="wspd"         description="Wind speed module at 10 m"                                    unit="m/s"      />
 	
 	<!-- *_oce variables available with ln_blk_clio or ln_blk_core -->
Index: /trunk/CONFIG/GYRE_LOBSTER/EXP00/iodef.xml
===================================================================
--- /trunk/CONFIG/GYRE_LOBSTER/EXP00/iodef.xml	(revision 1771)
+++ /trunk/CONFIG/GYRE_LOBSTER/EXP00/iodef.xml	(revision 1772)
@@ -66,5 +66,5 @@
 	<field id="erp"          description="Surface Water Flux: Damping"                                  unit="Kg/m2/s"  />
 	<field id="taum"         description="wind stress module"                                           unit="N/m2"     />
-	<field id="wspd"         description="Wind speed module at 10 m "                                   unit="m/s"      />
+	<field id="wspd"         description="Wind speed module at 10 m"                                    unit="m/s"      />
 	
 	<!-- *_oce variables available with ln_blk_clio or ln_blk_core -->
Index: /trunk/CONFIG/ORCA2_LIM/EXP00/iodef.xml
===================================================================
--- /trunk/CONFIG/ORCA2_LIM/EXP00/iodef.xml	(revision 1771)
+++ /trunk/CONFIG/ORCA2_LIM/EXP00/iodef.xml	(revision 1772)
@@ -66,5 +66,5 @@
 	<field id="erp"          description="Surface Water Flux: Damping"                                  unit="Kg/m2/s"  />
 	<field id="taum"         description="wind stress module"                                           unit="N/m2"     />
-	<field id="wspd"         description="Wind speed module at 10 m "                                   unit="m/s"      />
+	<field id="wspd"         description="Wind speed module at 10 m"                                    unit="m/s"      />
 	
 	<!-- *_oce variables available with ln_blk_clio or ln_blk_core -->
Index: /trunk/CONFIG/ORCA2_LIM/EXP00/iodef_ar5.xml
===================================================================
--- /trunk/CONFIG/ORCA2_LIM/EXP00/iodef_ar5.xml	(revision 1771)
+++ /trunk/CONFIG/ORCA2_LIM/EXP00/iodef_ar5.xml	(revision 1772)
@@ -66,5 +66,5 @@
 	<field id="erp"          description="Surface Water Flux: Damping"                                  unit="Kg/m2/s"  />
 	<field id="taum"         description="wind stress module"                                           unit="N/m2"     />
-	<field id="wspd"         description="Wind speed module at 10 m "                                   unit="m/s"      />
+	<field id="wspd"         description="Wind speed module at 10 m"                                    unit="m/s"      />
 	
 	<!-- *_oce variables available with ln_blk_clio or ln_blk_core -->
@@ -312,5 +312,5 @@
 
 	  <file id="1m grid_U table 2.8" name_suffix="_table2.8" >
-	    <field ref="utau      "   name="tauuo" description="surface_downward_x_stress"                          level="1" />
+	    <field ref="utau"         name="tauuo" description="surface_downward_x_stress"                          level="1" />
 	    <!-- tauucorr : surface_downward_x_stress_correction = 0 -->
 	  </file>   
@@ -331,5 +331,5 @@
 
 	  <file id="1m grid_V table 2.8" name_suffix="_table2.8" >
-	    <field ref="vtau      "   name="tauvo" description="surface_downward_y_stress"                          level="1" />
+	    <field ref="vtau"         name="tauvo" description="surface_downward_y_stress"                          level="1" />
 	    <!-- tauvcorr : surface_downward_y_stress_correction = 0 -->
 	  </file>   
Index: /trunk/CONFIG/ORCA2_LIM_PISCES/EXP00/iodef.xml
===================================================================
--- /trunk/CONFIG/ORCA2_LIM_PISCES/EXP00/iodef.xml	(revision 1771)
+++ /trunk/CONFIG/ORCA2_LIM_PISCES/EXP00/iodef.xml	(revision 1772)
@@ -66,5 +66,5 @@
 	<field id="erp"          description="Surface Water Flux: Damping"                                  unit="Kg/m2/s"  />
 	<field id="taum"         description="wind stress module"                                           unit="N/m2"     />
-	<field id="wspd"         description="Wind speed module at 10 m "                                   unit="m/s"      />
+	<field id="wspd"         description="Wind speed module at 10 m"                                    unit="m/s"      />
 	
 	<!-- *_oce variables available with ln_blk_clio or ln_blk_core -->
@@ -206,6 +206,6 @@
      <group id="ptrc_T" axis_ref="deptht" grid_ref="grid_T">  
        <field id="DIC"      description="Dissolved inorganic Concentration"        unit="mol-C/L" />
-       <field id="Alkalini" description="Total Alkalinity Concentration"           unit="eq/L   " />
-       <field id="O2"       description="Oxygen Concentration"                    unit="mol-C/L" />
+       <field id="Alkalini" description="Total Alkalinity Concentration"           unit="eq/L"    />
+       <field id="O2"       description="Oxygen Concentration"                     unit="mol-C/L" />
        <field id="CaCO3"    description="Calcite Concentration"                    unit="mol-C/L" />
        <field id="PO4"      description="Phosphate Concentration"                  unit="mol-C/L" />
Index: /trunk/CONFIG/ORCA2_OFF_PISCES/EXP00/iodef.xml
===================================================================
--- /trunk/CONFIG/ORCA2_OFF_PISCES/EXP00/iodef.xml	(revision 1771)
+++ /trunk/CONFIG/ORCA2_OFF_PISCES/EXP00/iodef.xml	(revision 1772)
@@ -19,5 +19,5 @@
      <group id="ptrc_T" axis_ref="deptht" grid_ref="grid_T">  
        <field id="DIC"      description="Dissolved inorganic Concentration"        unit="mol-C/L" />
-       <field id="Alkalini" description="Total Alkalinity Concentration"           unit="eq/L   " />
+       <field id="Alkalini" description="Total Alkalinity Concentration"           unit="eq/L"    />
        <field id="O2"       description="Oxygen Concentration"                     unit="mol-C/L" />
        <field id="CaCO3"    description="Calcite Concentration"                    unit="mol-C/L" />
Index: /trunk/CONFIG/POMME/EXP00/iodef.xml
===================================================================
--- /trunk/CONFIG/POMME/EXP00/iodef.xml	(revision 1771)
+++ /trunk/CONFIG/POMME/EXP00/iodef.xml	(revision 1772)
@@ -66,5 +66,5 @@
 	<field id="erp"          description="Surface Water Flux: Damping"                                  unit="Kg/m2/s"  />
 	<field id="taum"         description="wind stress module"                                           unit="N/m2"     />
-	<field id="wspd"         description="Wind speed module at 10 m "                                   unit="m/s"      />
+	<field id="wspd"         description="Wind speed module at 10 m"                                    unit="m/s"      />
 	
 	<!-- *_oce variables available with ln_blk_clio or ln_blk_core -->