Index: trunk/CONFIG/ORCA2_LIM/scripts/BB_make
===================================================================
--- trunk/CONFIG/ORCA2_LIM/scripts/BB_make	(revision 1778)
+++ trunk/CONFIG/ORCA2_LIM/scripts/BB_make	(revision 1791)
@@ -22,10 +22,10 @@
 #-Q- sxdkrz  F_O =  -f2003 nocbind -ew -sx6 -ftrace -C vopt -Wf"-init stack=nan" -Wl"-f nan" -Wf"-P nh -O overlap" -Wf"-pvctl noassume loopcnt=10000" -L transform -I $(MODDIR) -I $(MODDIR)/oce -I $(NCDF_INC) $(USER_INC)
 #-Q- sxdkrz  L_X = $(L_O) -ftrace
-#-Q- eshpux  # Compiler options for NEMO (Earth Simulator)
-#-Q- eshpux  # for super perfs!
-#-Q- eshpux  # F_O = -f2003 nocbind $(FTRACE) -pi nest=5 line=10000 expin=Fmpplib.F -Wf,-A idbl4 -C hopt -Wf"-P nh -O overlap" -Wf,-pvctl noassume loopcnt=10000 -L transform -I $(MODDIR) -I $(MODDIR)/oce -I $(NCDF_INC) $(USER_INC)
-#-Q- eshpux  # regular options!
-#-Q- eshpux  F_O = -f2003 nocbind $(FTRACE) -Wf,-A idbl4 -C vopt -P stack -Wf"-P nh -O overlap" -Wf,-pvctl noassume loopcnt=10000 -L transform -Wf,-pvctl nomsg -Wf"-O nomsg" -I $(MODDIR) -I $(MODDIR)/oce -I $(NCDF_INC) $(USER_INC)
-#-Q- eshpux  L_X = $(L_O)
+#-Q- es2  # Compiler options for NEMO (Earth Simulator)
+#-Q- es2  # for super perfs!
+#-Q- es2  # F_O = -f2003 nocbind $(FTRACE) -pi nest=5 line=10000 expin=Fmpplib.F -Wf,-A idbl4 -C hopt -Wf"-P nh -O overlap" -Wf,-pvctl noassume loopcnt=10000 -L transform -I $(MODDIR) -I $(MODDIR)/oce -I $(NCDF_INC) $(USER_INC)
+#-Q- es2  # regular options!
+#-Q- es2  F_O = -f2003 nocbind $(FTRACE) -Wf,-A idbl4 -C vopt -P stack -Wf"-P nh -O overlap" -Wf,-pvctl noassume loopcnt=10000 -L transform -Wf,-pvctl nomsg -Wf"-O nomsg" -I $(MODDIR) -I $(MODDIR)/oce -I $(NCDF_INC) $(USER_INC)
+#-Q- es2  L_X = $(L_O)
 #-Q- linux  # Compiler options for NEMO (pgf version)
 #-Q- linux  F_O = -Mlist -O3 -byteswapio -r8  -I $(MODDIR) -I$(MODDIR)/oce -I $(NCDF_INC) $(USER_INC)
@@ -62,5 +62,5 @@
 #-Q- sx8brodie	PREF=i.
 #-Q- sxdkrz	PREF=i.
-#-Q- eshpux	PREF=i.
+#-Q- es2	PREF=i.
 
 # add suffix to P_P
@@ -463,5 +463,5 @@
 #-Q- sx8brodie		-R2 \
 #-Q- sxdkrz		-R2 \
-#-Q- eshpux		-R2 \
+#-Q- es2		-R2 \
 #-Q- aix6		-qsource \
 #-Q- aix		-qsource \
@@ -469,5 +469,5 @@
 	   OPAFILES/$*.F90 || { mv $(PREF).L $(TMP) ; false ; exit ; }
 #-Q- sxdkrz		@$(A_X) $(SXMODEL_LIB) $*.o  > /dev/null
-#-Q- eshpux			@$(A_X) $(SXMODEL_LIB) $*.o  > /dev/null
+#-Q- es2			@$(A_X) $(SXMODEL_LIB) $*.o  > /dev/null
 endif
 
@@ -483,5 +483,5 @@
 .PRECIOUS : $(MODEL_LIB)
 #-Q- sxdkrz .PRECIOUS : $(SXMODEL_LIB)
-#-Q- eshpux .PRECIOUS : $(SXMODEL_LIB)
+#-Q- es2 .PRECIOUS : $(SXMODEL_LIB)
 
 # library dependancies
@@ -502,5 +502,5 @@
 #-Q- sx8brodie		-R2 \
 #-Q- sxdkrz		-R2 \
-#-Q- eshpux		-R2 \
+#-Q- es2		-R2 \
 #-Q- aix		-qsource \
 #-Q- aix6		-qsource \
@@ -508,5 +508,5 @@
 		$*.f90 || { if [ -f $(PREF)$*.L ] ; then mv $(PREF)$*.L $(TMP) ; fi ; false ; exit ; }
 #-Q- sxdkrz		@$(A_X) $(SXMODEL_LIB) $*.o  > /dev/null
-#-Q- eshpux		@$(A_X) $(SXMODEL_LIB) $*.o  > /dev/null
+#-Q- es2		@$(A_X) $(SXMODEL_LIB) $*.o  > /dev/null
 		@$(A_C) $(MODEL_LIB) $*.o  > /dev/null
 		@$(RM) $*.[of]
@@ -538,5 +538,5 @@
 #-Q- sx8brodie		-R2 \
 #-Q- sxdkrz		-R2 \
-#-Q- eshpux		-R2 \
+#-Q- es2		-R2 \
 #-Q- aix		-qsource \
 #-Q- aix6		-qsource \
@@ -550,5 +550,5 @@
 #-Q- sx8brodie		-R2 \
 #-Q- sxdkrz		-R2 \
-#-Q- eshpux		-R2 \
+#-Q- es2		-R2 \
 #-Q- aix		-qsource \
 #-Q- aix6		-qsource \
@@ -557,5 +557,5 @@
 endif
 #-Q- sxdkrz		@$(A_X) $(SXMODEL_LIB) $*.o  > /dev/null
-#-Q- eshpux		@$(A_X) $(SXMODEL_LIB) $*.o  > /dev/null
+#-Q- es2		@$(A_X) $(SXMODEL_LIB) $*.o  > /dev/null
 		@$(A_C) $(MODEL_LIB) $*.o  > /dev/null
 		@$(RM) $*.[of]
Index: trunk/CONFIG/ORCA2_LIM/scripts/BB_make.ldef
===================================================================
--- trunk/CONFIG/ORCA2_LIM/scripts/BB_make.ldef	(revision 1778)
+++ trunk/CONFIG/ORCA2_LIM/scripts/BB_make.ldef	(revision 1791)
@@ -14,11 +14,11 @@
 IOIPSL_LIB = $(LIBDIR)/libioipsl.a
 #-Q- sxdkrz IOIPSL_LIB = $(LIBDIR)/libsxioipsl.a
-#-Q- eshpux IOIPSL_LIB = $(LIBDIR)/libsxioipsl.a
+#-Q- es2 IOIPSL_LIB = $(LIBDIR)/libsxioipsl.a
 AGRIF_LIB = $(LIBDIR)/libagrif.a
 #-Q- sxdkrz AGRIF_LIB = $(LIBDIR)/libsxagrif.a
-#-Q- eshpux AGRIF_LIB = $(LIBDIR)/libsxagrif.a
+#-Q- es2 AGRIF_LIB = $(LIBDIR)/libsxagrif.a
 SXMODEL_LIB = $(MODEL_LIB)
 #-Q- sxdkrz SXMODEL_LIB = $(LIBDIR)/oce/libsxopa.a
-#-Q- eshpux SXMODEL_LIB = $(LIBDIR)/oce/libsxopa.a
+#-Q- es2 SXMODEL_LIB = $(LIBDIR)/oce/libsxopa.a
 OASISMPI2_LIB = 
 LIBMPI  =
@@ -37,5 +37,5 @@
 #-Q- sx9mercure prefix = -D
 #-Q- sx8brodie prefix = -D
-#-Q- eshpux prefix = -D
+#-Q- es2 prefix = -D
 #-Q- sxdkrz prefix = -D
 #-Q- linux  prefix = -D